id: wordpress-loco-translate

info:
  name: Loco Translate Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/loco-translate/
  metadata:
    plugin_namespace: loco-translate
    wpscan: https://wpscan.com/plugin/loco-translate
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/loco-translate/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/loco-translate.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022076675c94ce7ef58ca905acb8fd53dc6878e6f438716f5f80a78895b50c3a7c6c022100dc857515a5cf7341a73f9cc380468b53b19937bd619d051a9acf4790f95f6dc8:922c64590222798bb761d5b6d8e72950